这是在国外找到的一个标注面积小程序,做规划时候很方便但是做建筑时候就成了毫米级的单位,请问如何缩小1000000倍?谢谢各位老大!===================================================(defun c:at (/ area cth loc ss str th vevo) (while (setq ss (car (entsel "\nSelect a object")))
谢谢各位老大!
===================================================
(defun c:at (/ area cth loc ss str th vevo)
(while
(setq ss (car (entsel "\nSelect a object")))
(setq vevo (vlax-ename->vla-object ss))
(setq area (vlax-get vevo 'area))
(setq loc (getpoint "\nClick location for text<0,0,0>: "))
(if (= loc nil)(setq loc '(0 0 0)))
(setq str (strcat "" (rtos area)))
(setq cth (rtos (getvar "textsize")))
(setq th (getdist (strcat "\nEnter new text height < " cth " > : ")))
(if (= th nil)(setq th cth))
(command "_text" loc th "" str 0)
) ; while
(princ)
) ; defun
==============================================